var options = ["invoice","compain_note","return_note"];
$(document).ready(function () {

    // parent Edit list
    ParentEditList();
    // tabelka z vatami
    InitializeVatTable();

    // Przypisani uzytkownicy
    UserListEdit();
    
    InitializeTableCost();
    
    $("#currency_id").change(function() {
        getNBPCurrencyExchange($("#currency_id :selected").val());

    });
    
    var previousVal;
    var pollInterval = setInterval(function() {
	    var val = $('#document_date').val();
	    if (val !== previousVal) {
	    	console.log('hmm');
	    	getNBPCurrencyExchange($("#currency_id :selected").val());
	    }
	    previousVal = val;
	}, 500);
    
    $('#category_id').on('change',function(){

if($.inArray($("#category_id").val(),options)>-1){
	addToValidate('EditView', 'value','value',true,'Proszę wpisać kwotę dokumentu!');
	addToValidate('EditView', 'document_date','document_date',true,'Proszę wybrać datę dokumentu!');
} else {
	removeFromValidate('EditView', 'value');
	removeFromValidate('EditView', 'document_date');
}
    });
 
});

var check_form_ = check_form;
check_form = function (formname) {
    window.onbeforeunload = null;
    // unformat vat table positions before save
 
  if($('#document_type').val()==""){
	  alert("Proszę wybrać typ faktury!");
	  return false;
  }
    var int;
	 
    if($.inArray($("#category_id").val(),options)>-1){
    	 if ($("#value").val()=="") {
    	    	alert("Wartość dokumentu nie może być pusta!");
    	    	return false;
    	    }
    }
   
    
    if ($("#currency_id").val()!="PLN") {
    if($('#currency_value').val()==""){
    	alert("Proszę podać kurs waluty!");
    	return false;
    }
    }
    
    if($.inArray($("#category_id").val(),options)>-1){
    if (UnformatNumber($("#value").val())==0) {
    	alert("Wartość dokumentu nie może być równa zeru!");
    	return false;
    }
    
    if ($("#value").val()=="") {
    	alert("Wartość dokumentu nie może być pusta!");
    }
    if ($("#left_paid").val() != '') {
       
        if($('#payment_date').val()==''){
        	alert('Wpisałeś kwotę do zapłaty, podaj termin płatności!');
        	return false;
        } else {
        	// int=$("#left_paid").val(UnformatNumber($("#left_paid").val()));
        	 // $("#value").val(UnformatNumber($("#value").val()));
        }
    } else {
    	// $("#value").val(UnformatNumber($("#value").val()));
    }
    
    var count = $('#tblAppendGrid').appendGrid('getRowCount');
	   var  netto=0;
	   var vat=0;
	    for (var i = 0; i < count; i++) {

	        var data2 = $('#tblAppendGrid').appendGrid('getRowValue', i);
            var netto_position = parseFloat(UnformatNumber(data2.netto));
            if(!isNaN(netto_position)){
     
            	   netto = netto+netto_position;
            }
	       
	        var vat_position=parseFloat(UnformatNumber(data2.vat));
	        
	        if(!isNaN(vat_position)){
	        
           	  vat = vat+vat_position;
           }

	    }

var total = netto + vat;
total = total.toFixed(2);

if(parseFloat(total)!==parseFloat(UnformatNumber($('#value').val()))){
	alert("Wartość dokumentu powinna być identyczna jak łączna wartość z tabelki Stawki VAT!");
	return false;
}
    }
    if(check_form_(formname)==false){

    	return false;
    } else {
    	   var count = $('#tblAppendGrid').appendGrid('getRowCount');
    	    for (var i = 0; i < count; i++) {

    	        var data2 = $('#tblAppendGrid').appendGrid('getRowValue', i);

    	        $('#tblAppendGrid').appendGrid('setCtrlValue', 'vat', i, UnformatNumber(data2.vat));  
    	        $('#tblAppendGrid').appendGrid('setCtrlValue', 'netto', i, UnformatNumber(data2.netto));
    	      // $("#value").val(UnformatNumber($("#value").val()));
    	    }
    	    
    		 $("#value").val(UnformatNumber($("#value").val()));
    		 $("#currency_value").val(UnformatNumber($("#currency_value").val()));
	 $("#left_paid").val(UnformatNumber($("#left_paid").val()));
    	return true;
    }
};
